# Method: projects.locations.models.delete

- [HTTP request](https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models/delete#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models/delete#body.aspect)

Deletes a model. If a model is already deployed, this only deletes the model in AutoML BE, and does not change the status of the deployed model in the production environment. Returns `google.protobuf.Empty` in the `https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.operations#Operation.FIELDS.response` field when it completes, and `deleteDetails` in the `https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.operations#Operation.FIELDS.metadata` field.

### HTTP request

`DELETE https://automl.googleapis.com/v1beta1/{name}`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Resource name of the model being deleted. Authorization requires the following [Google IAM](https://cloud.google.com/iam) permission on the specified resource `name`: - `automl.models.delete` <br /> |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.operations#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).